package com.mortals.xhx.module.doc.baseinfo.model;
import java.util.List;
import java.util.List;
import java.util.ArrayList;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.doc.baseinfo.model.vo.DocBaseinfoVo;
import com.mortals.xhx.module.doc.template.model.DocTemplateEntity;
/**
 * doc基础信息实体对象
 *
 * @author zxfei
 * @date 2021-10-26
 */

public class DocBaseinfoEntity extends DocBaseinfoVo {
    private static final long serialVersionUID = 1L;

    /**
     * 业务名称
     */
    @Excel(name = "业务名称")
    private String name;
    /**
     * 样表地址
     */
    @Excel(name = "样表地址")
    private String samplePath;
    /**
     * 备注
     */
    @Excel(name = "备注")
    private String remark;
    /**
     * 样表预览图
     */
    private String preViewPath;
    /**
     * 平台标识
     */
    private String platformSn;


    /**
     * doc模板信息
     */
    private DocTemplateEntity docTemplateEntity=new DocTemplateEntity();

    public DocBaseinfoEntity(){}
    /**
     * 获取 业务名称
     * @return String
     */
    public String getName(){
        return name;
    }
    /**
     * 设置 业务名称
     * @param name
     */
    public void setName(String name){
        this.name = name;
    }
    /**
     * 获取 样表地址
     * @return String
     */
    public String getSamplePath(){
        return samplePath;
    }
    /**
     * 设置 样表地址
     * @param samplePath
     */
    public void setSamplePath(String samplePath){
        this.samplePath = samplePath;
    }
    /**
     * 获取 备注
     * @return String
     */
    public String getRemark(){
        return remark;
    }
    /**
     * 设置 备注
     * @param remark
     */
    public void setRemark(String remark){
        this.remark = remark;
    }
    /**
     * 获取 样表预览图
     * @return String
     */
    public String getPreViewPath(){
        return preViewPath;
    }
    /**
     * 设置 样表预览图
     * @param preViewPath
     */
    public void setPreViewPath(String preViewPath){
        this.preViewPath = preViewPath;
    }
    /**
     * 获取 平台标识
     * @return String
     */
    public String getPlatformSn(){
        return platformSn;
    }
    /**
     * 设置 平台标识
     * @param platformSn
     */
    public void setPlatformSn(String platformSn){
        this.platformSn = platformSn;
    }



    public DocTemplateEntity getDocTemplateEntity(){
        return docTemplateEntity;
    }

    public void setDocTemplateEntity(DocTemplateEntity docTemplateEntity){
        this.docTemplateEntity = docTemplateEntity;
    }

    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof DocBaseinfoEntity) {
            DocBaseinfoEntity tmp = (DocBaseinfoEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",name:").append(getName());
        sb.append(",samplePath:").append(getSamplePath());
        sb.append(",remark:").append(getRemark());
        sb.append(",preViewPath:").append(getPreViewPath());
        sb.append(",platformSn:").append(getPlatformSn());
        return sb.toString();
    }

    public void initAttrValue(){
        this.name = null;
        this.samplePath = null;
        this.remark = null;
        this.preViewPath = "";
        this.platformSn = "";
    }
}